<?php

// Application version
include("version.php");

// Location where application data is stored.
// Should be outside of web root.
$config['data_dir'] = "/var/movek/";

// Path where the web application is installed.
// Relative to web root.
$config['url_segment_base'] = "/";

// Path in the filesystem where the application is installed.
// Do not use spaces in this path!
$config['filesystem_base'] = "/var/www/app/";

// Path to user data xml file.
// Should be outside of web root.
$config['user_info_file'] = $config['data_dir'] . "users.xml";

// Path to session state file.
// Written frequently and does not need to be persistent across power cycles.
// A location in a tmpfs filesystem would be an ideal place to store this file.
$config['control_session_file'] = "/tmp/control_session";

// Control session will timeout when there has been no activity for this
// period of time, in seconds.
$config['control_session_timeout'] = 3600;

// The root of the current project, where project archive files are based from.
$config['active_project_dir'] = $config['data_dir'] . "active-project/";

// Where locally saved project archives are stored.
$config['saved_projects_dir'] = $config['data_dir'] . "saved-projects/";

// The file extension used on project archive files
$config['project_file_ext'] = ".tgz";

// Where the device files are stored as part of the active project
$config['devices_dir'] = $config['active_project_dir'] . "devices/";
$config['mymix_devices_dir'] = $config['devices_dir'] . "mymix/";
$config['iex16_devices_dir'] = $config['devices_dir'] . "iex16/";

// Where locally exported MyMix settings are stored
$config['saved_mymix_profiles_dir'] = $config['data_dir'] . "saved-mymix-profiles/";
$config['saved_mymix_prefs_dir'] = $config['data_dir'] . "saved-mymix-prefs/";
$config['saved_mymix_locks_dir'] = $config['data_dir'] . "saved-mymix-locks/";
$config['saved_iex16_prefs_dir'] = $config['data_dir'] . "saved-iex16-prefs/";
$config['saved_mymix_devices_dir'] = $config['data_dir'] . "saved-mymix-devices/";

// Where externally exported MyMix settings are stored
$config['external_mymix_profiles_dir'] = "/media/usb/mymix_profiles/";
$config['external_mymix_prefs_dir'] = "/media/usb/mymix_prefs/";
$config['external_mymix_locks_dir'] = "/media/usb/mymix_locks/";
$config['external_iex16_prefs_dir'] = "/media/usb/iex16_prefs/";
$config['external_mymix_devices_dir'] = "/media/usb/mymix_devices/";

// Where externally exported projects are stored
$config['external_projects_dir'] = "/media/usb/mymix_control_projects/";

// File to control whether wireless is enabled at boot.
// If this file is present, wireless is enabled.
$config['wireless_enable_file'] = $config['data_dir'] . "enable_wireless";

/* End of config.php */
