<?php

class Form {
	// Builds an HTML select element.
	// Keys in item_array are used for HTML values; Values in the array are used for labels.
	// default_item is the key for the item to be selected.
	public static function dropdown($name, $item_array, $default_item = "")
	{
		$retval = "<select name=\"" . $name . "\">";
		$found_selected = FALSE;
		foreach($item_array as $value => $label)
		{
			$retval .= "<option value=\"" . $value . "\"";
			if(!$found_selected && $value == $default_item)
			{
				$found_selected = TRUE;
				$retval .= " selected=\"selected\"";
			}
			$retval .= ">" . $label . "</option>";
		}
		$retval .= "</select>";

		return $retval;
	}

	// Builds an HTML checkbox element
	// Value is sent with form post if the box is checked, otherwise it is not sent.
	// If checked evaluates to TRUE, the box will be checked when the page loads.
	public static function checkbox($name, $value, $checked)
	{
		$retval = "<input type=\"checkbox\" name=\"" . $name . "\" value=\"" . $value . "\"";
		if($checked)
		{
			$retval .= " checked=\"checked\"";
		}
		$retval .= "/>";
		return $retval;
	}

	// Builds the complete form needed for a MyMix locked/unlocked button
	public static function locked_button($mac, $lock_name, $current_lock_state)
	{
		if($current_lock_state == "1")
		{
			$new_lock_state = "0";
			$label = "Unlock";
		}
		else
		{
			$new_lock_state = "1";
			$label = "Lock";
		}
		return "<form method=\"post\" action=\"mymix-save-locks.php\">
			<input type=\"hidden\" name=\"mac\" value=\"" . $mac . "\" />
			<input type=\"hidden\" name=\"lock_name\" value=\"" . $lock_name . "\" />
			<input type=\"hidden\" name=\"new_locked_state\" value=\"" . $new_lock_state . "\" />
			<input type=\"submit\" value=\"" . $label . "\" />
		</form>";
	}
}

/* End of form.php */
