<?php
	require_once("helpers/form.php");
	require_once("helpers/input.php");
	require_once("models/mymix_profile.php");
	require_once("models/mymix_preference.php");
	require_once("models/mymix_lock.php");
	require_once("models/iex16_profile.php");
	require_once("models/mymix_device.php");
	
	$mac = Input::get('mac');
	$import_type = Input::get('import_type');

	switch($import_type)
	{
		case "mymix-profile":
			$local_stored_items = array();
			$local_stored_items = MyMix_Profile::get_local_saved_profiles();
			array_unshift($local_stored_items, 'Select a profile');

			$external_stored_items = array();
			$external_stored_items = MyMix_Profile::get_external_saved_profiles();
			array_unshift($external_stored_items, 'Select a profile');

			$title = "Import MyMix Profile";
			break;
		case "mymix-pref":
			$local_stored_items = array();
			$local_stored_items = MyMix_Preference::get_local_saved_prefs();
			array_unshift($local_stored_items, 'Select a preference');

			$external_stored_items = array();
			$external_stored_items = MyMix_Preference::get_external_saved_prefs();
			array_unshift($external_stored_items, 'Select a preference');

			$title = "Import MyMix Preference";
			break;
		case "mymix-lock":
			$local_stored_items = array();
			$local_stored_items = MyMix_Lock::get_local_saved_locks();
			array_unshift($local_stored_items, 'Select a lock setting');

			$external_stored_items = array();
			$external_stored_items = MyMix_Lock::get_external_saved_locks();
			array_unshift($external_stored_items, 'Select a lock setting');

			$title = "Import MyMix Lock Settings";
			break;
		case "iex16-pref":
			$local_stored_items = array();
			$local_stored_items = IEX16_Profile::get_local_saved_prefs();
			array_unshift($local_stored_items, 'Select a preference');

			$external_stored_items = array();
			$external_stored_items = IEX16_Profile::get_external_saved_prefs();
			array_unshift($external_stored_items, 'Select a preference');

			$title = "Import IEX16 Preference";
			break;
		case "mymix-device":
			$local_stored_items = array();
			$local_stored_items = MyMix_Device::get_local_saved_devices();
			array_unshift($local_stored_items, 'Select a device');

			$external_stored_items = array();
			$external_stored_items = MyMix_Device::get_external_saved_devices();
			array_unshift($external_stored_items, 'Select a device');

			$title = "Import MyMix Device";
			break;
		default:
			throw new Exception("Unknown import type! (" . $import_type . ")");
			break;
	}

    $ID = "home";

	require("views/header.php");
	require("views/import-common.php");
	require("views/footer.php");

/* End of import-form.php */
