<?php

if(!class_exists("Mac_Labels"))
{
	class Mac_Labels {

		private static $labels_data;
		private static $data_loaded = FALSE;

		public static function get_text($index)
		{
			return (string)self::$labels_data->label[$index]->text;
		}

		public static function get_mac($index)
		{
			return (string)self::$labels_data->label[$index]->mac;
		}

		public static function get_count()
		{
			return count(self::$labels_data->children());
		}

		public static function add($text, $mac)
		{
			$new_label = self::$labels_data->addChild("label");
			$new_label->addChild("text", $text);
			$new_label->addChild("mac", $mac);
		}

		public static function load()
		{
			if(!self::$data_loaded)
			{
				require_once("helpers/config.php");

				self::$labels_data = simplexml_load_file(Config::get_item('mac_labels_file'));
			}
		}

		public static function save()
		{
			require_once("helpers/config.php");

			file_put_contents(Config::get_item('mac_labels_file'), self::$labels_data->saveXml());
		}
	}
	Mac_Labels::load();
}

/* End of mac-labels.php */
