<?php

class Users {
	// Returns TRUE if username is a valid user and password is
	// correct, or FALSE otherwise.
	// NOTE: This function will return FALSE if the user info file is missing.
	public static function authenticate($username, $password)
	{
		$user_info = self::get_user_info($username);

		if(empty($user_info))
		{
			return FALSE; // Didn't find user
		}

		if($user_info['password'] == $password)
		{
			return TRUE; // Found and authenticated user
		}
		return FALSE; // Found user but incorrect password
	}

	public static function is_admin($username)
	{
		$user_info = self::get_user_info($username);
		if(empty($user_info))
		{
			return FALSE; // Didn't find user
		}
		if($user_info['userclass'] == "admin")
		{
			return TRUE; // Found user and it is an admin
		}
		return FALSE; // Found user but it is not an admin
	}

	private static function get_user_info($username)
	{
		require_once("helpers/config.php");

		$retval = array();

		if(file_exists(Config::get_item('user_info_file')))
		{
			$users_xml = simplexml_load_file(Config::get_item('user_info_file'));

			foreach($users_xml as $this_user)
			{
				if($this_user->name == $username)
				{
					$retval['password'] = (string)$this_user->password;
					$retval['userclass'] = (string)$this_user->userclass;
					break;
				}
			}
		}
		return $retval;
	}

	// Returns TRUE on success, FALSE otherwise
	public static function change_password($user, $password)
	{
		require_once("helpers/config.php");

		$retval = FALSE;

		if(file_exists(Config::get_item('user_info_file')))
		{
			$users_xml = simplexml_load_file(Config::get_item('user_info_file'));

			foreach($users_xml as $this_user)
			{
				if($this_user->name == $user)
				{
					$this_user->password = $password;
					$users_xml->saveXML(Config::get_item('user_info_file'));
					$retval = TRUE;
					break;
				}
			}
		}

		return $retval;
	}
}

/* End of users.php */
