<?php
require_once("models/login.php");
require_once("helpers/url.php");
require_once("helpers/input.php");
require_once("models/mymix_profile.php");
require_once("models/mymix_preference.php");
require_once("helpers/ftp.php");
require_once("models/avahi.php");

Login::require_login();

$mac = Input::post('mac');
$profile_name = Input::post('profile_name');
$confirm = Input::post('confirm');

$prefs = new MyMix_Preference(Config::get_item('mymix_devices_dir') . $mac . "/prefs");

if($confirm == "yes")
{
	if($prefs->get_current_profile() == $profile_name)
	{
		die("Profile '" . $profile_name . "' is the current profile for " . $mac . " and cannot be deleted.");
	}

	// delete profile from local storage
	MyMix_Profile::delete_profile($mac, $profile_name);

	// delete profile from device
	$online_devices = Avahi::get_devices("mymix");
	foreach($online_devices as $this_device)
	{
		if($this_device['mac'] == $mac)
		{
			FTP::delete_mymix_profile($this_device['ip_address'], $profile_name);
		}
	}

	Url::redirect("mymix-detail.php?mac=" . urlencode($mac));
}
else
{
	// show form
	$title = "Confirm delete";
	$ID = "home";

	require("views/header.php");
	require("views/mymix-delete-profile.php");
	require("views/footer.php");
}

/* end of mymix-delete-profile.php */
