<?php
	require_once("models/login.php");
	require_once("models/mymix_profile.php");
	require_once("helpers/input.php");
	require_once("models/avahi.php");
	require_once("helpers/ftp.php");
	require_once("models/mymix_preference.php");

	Login::require_login();

	$mac = Input::post('mac');
	$profile_name = Input::post('profile_name');

	$prefs = new MyMix_Preference(Config::get_item('mymix_devices_dir') . $mac . "/prefs");
	$profile = new MyMix_Profile(Config::get_item('mymix_devices_dir') . $mac . "/profiles/" . $profile_name);
	for($i = 0; $i < $profile->get_remote_channel_count(); $i++)
	{
		// Skip local channels, since they're excluded from the form
		if($profile->get_remote_channel_unit_name($i) == $prefs->get_unit_name())
		{
			continue;
		}

		$selected = Input::post('selected_' . $i);
		if($selected != 1)
		{
			$selected = 0;
		}
		$profile->set_remote_channel_selected($i, $selected);
	}
	$profile->save();

	// if this device is online, push the profile
	$devices = Avahi::get_devices("mymix");
	foreach($devices as $this_device)
	{
		if($this_device['mac'] == $mac)
		{
			FTP::push_mymix_profile($this_device['ip_address'], $mac, $profile_name);
			break;
		}
	}

	Url::redirect("mymix-edit-profile.php?mac=" . urlencode($mac) . "&profile_name=" . urlencode($profile_name));

/* End of mymix-save-channel-select.php */
