<?php

require_once("models/login.php");
require_once("helpers/input.php");
require_once("helpers/url.php");
require_once("models/mymix_lock.php");
require_once("models/avahi.php");
require_once("helpers/ftp.php");

Login::require_login();

$mac = Input::post('mac');
$lock_name = Input::post('lock_name');
$new_locked_state = Input::post('new_locked_state');

$locks = new MyMix_Lock($mac);
switch($lock_name)
{
	case "global_lock":
		$locks->set_global_lock($new_locked_state);
		break;
	case "master_volume":
		$locks->set_master_volume_lock($new_locked_state);
		break;
	case "master_volume_zero_mix":
		$locks->set_master_volume_zero_lock($new_locked_state);
		break;
	case "solo":
		$locks->set_solo_lock($new_locked_state);
		break;
	case "mute":
		$locks->set_mute_lock($new_locked_state);
		break;
	case "settings":
		$locks->set_settings_lock($new_locked_state);
		break;
	case "profiles":
		$locks->set_profiles_lock($new_locked_state);
		break;
	case "profiles_new":
		$locks->set_new_profile_lock($new_locked_state);
		break;
	case "profiles_rename":
		$locks->set_rename_profile_lock($new_locked_state);
		break;
	case "profiles_delete":
		$locks->set_delete_profile_lock($new_locked_state);
		break;
	case "local_inputs_outputs":
		$locks->set_local_io_lock($new_locked_state);
		break;
	case "effects":
		$locks->set_effects_lock($new_locked_state);
		break;
	case "master_eq":
		$locks->set_master_eq_lock($new_locked_state);
		break;
	case "sessions":
		$locks->set_sessions_lock($new_locked_state);
		break;
	case "sessions_delete":
		$locks->set_session_delete_lock($new_locked_state);
		break;
	case "sessions_rename":
		$locks->set_session_rename_lock($new_locked_state);
		break;
	case "sessions_play":
		$locks->set_session_play_lock($new_locked_state);
		break;
	case "remote_channel_select":
		$locks->set_remote_channel_select_lock($new_locked_state);
		break;
	case "remote_devices":
		$locks->set_remote_devices_lock($new_locked_state);
		break;
	case "preferences":
		$locks->set_preferences_lock($new_locked_state);
		break;
	case "preferences_unit_name":
		$locks->set_preferences_unit_name_lock($new_locked_state);
		break;
	case "admin":
		$locks->set_administration_lock($new_locked_state);
		break;
	case "admin_format_sd_card":
		$locks->set_format_card_lock($new_locked_state);
		break;
	case "admin_restore_factory_defaults":
		$locks->set_factory_default_lock($new_locked_state);
		break;
	case "admin_update_iex16_firmware":
		$locks->set_update_firmware_lock($new_locked_state);
		break;
	default:
		die("Unknown lock name: " . $lock_name);
		break;
}
$locks->save();

// if this device is online, push the lock settings
$devices = Avahi::get_devices("mymix");
foreach($devices as $this_device)
{
	if($this_device['mac'] == $mac)
	{
		FTP::push_mymix_lock($this_device['ip_address'], $mac);
		break;
	}
}

Url::redirect("mymix-edit-locks.php?mac=" . urlencode($mac));

/* End of mymix-save-locks.php */
