<?php
	require_once("models/login.php");
	require_once("models/mymix_profile.php");
	require_once("helpers/input.php");
	require_once("models/avahi.php");
	require_once("helpers/ftp.php");

	Login::require_login();

	$mac = Input::post('mac');
	$profile_name = Input::post('profile_name');

	$profile = new MyMix_Profile(Config::get_item('mymix_devices_dir') . $mac . "/profiles/" . $profile_name);
	for($i = 0; $i < $profile->get_remote_channel_count(); $i++)
	{
		$volume = Input::post('volume_' . $i);
		if(empty($volume))
		{
			$volume = 0;
		}

		$tone = Input::post('tone_' . $i);
		if(empty($tone))
		{
			$tone = 0;
		}

		$effect_send = Input::post('effect_send_' . $i);
		if(empty($effect_send))
		{
			$effect_send = 0;
		}

		$pan = Input::post('pan_' . $i);
		if(empty($pan))
		{
			$pan = 0;
		}

		$solo = Input::post('solo_' . $i);
		if($solo != "on")
		{
			$solo = "off";
		}

		$mute = Input::post('mute_' . $i);
		if($mute != "on")
		{
			$mute = "off";
		}

		$profile->set_remote_channel_volume($i, $volume);
		$profile->set_remote_channel_tone($i, $tone);
		$profile->set_remote_channel_effect_send($i, $effect_send);
		$profile->set_remote_channel_pan($i, $pan);
		$profile->set_remote_channel_solo($i, $solo);
		$profile->set_remote_channel_mute($i, $mute);
	}
	$profile->save();

	// if this device is online, push the profile
	$devices = Avahi::get_devices("mymix");
	foreach($devices as $this_device)
	{
		if($this_device['mac'] == $mac)
		{
			FTP::push_mymix_profile($this_device['ip_address'], $mac, $profile_name);
			break;
		}
	}

	Url::redirect("mymix-edit-profile.php?mac=" . urlencode($mac) . "&profile_name=" . urlencode($profile_name));

/* End of mymix-save-mix.php */
