<?php
	require_once("models/login.php");
	require_once("models/mymix_preference.php");
	require_once("helpers/input.php");
	require_once("models/avahi.php");
	require_once("helpers/ftp.php");

	Login::require_login();

	$mac = Input::post('mac');

	$prefs = new MyMix_Preference(Config::get_item('mymix_devices_dir') . $mac . "/prefs");
	$prefs->set_unit_name(Input::post('unit_name'));
	$prefs->set_current_profile(Input::post('current_profile'));
	$prefs->set_brightness(Input::post('brightness'));
	$prefs->set_activity_timeout(Input::post('activity_timeout'));
	$prefs->set_ui_view_type(Input::post('ui_view_type'));
	$prefs->save();

	// if this device is online, push the prefs
	$devices = Avahi::get_devices("mymix");
	foreach($devices as $this_device)
	{
		if($this_device['mac'] == $mac)
		{
			FTP::push_mymix_preference($this_device['ip_address'], $mac);
			break;
		}
	}

	Url::redirect("mymix-detail.php?mac=" . urlencode($mac));

/* End of save-mymix.php */
