<?php

require_once("models/login.php");
require_once("helpers/input.php");
require_once("models/mymix_preference.php");
require_once("models/mymix_lock.php");
require_once("helpers/url.php");
require_once("helpers/validate.php");
require_once("models/avahi.php");
require_once("helpers/ftp.php");

Login::require_login();

$reset_type = Input::post('reset_type');
$mac = Input::post('mac');
$confirm = Input::post('confirm');

if(!Validate::mac_address($mac))
{
	die("Invalid MAC address!");
}
if($confirm != "yes")
{
	die("Confirmation error");
}

// if this device is online, push the lock settings
$ip_address = "";
$avahi_devices = Avahi::get_devices("mymix");
foreach($avahi_devices as $this_device)
{
	if($this_device['mac'] == $mac)
	{
		$ip_address = $this_device['ip_address'];
		break;
	}
}

switch($reset_type)
{
	case "lock":
		$path = Config::get_item('mymix_devices_dir') . $mac . "/menulock/menulock_mgr";
		// delete current locks file
		unlink($path);
		// create new locks file
		$locks = new MyMix_Lock($mac);
		// save new locks file
		$locks->save();
		if(!empty($ip_address))
		{
			FTP::push_mymix_lock($ip_address, $mac);
		}
		break;
	case "pref":
		$path = Config::get_item('mymix_devices_dir') . $mac . "/prefs";
		// delete current prefs file
		unlink($path);
		// create new prefs file
		$prefs = new MyMix_Preference($path);
		// save new prefs file
		$prefs->save();
		if(!empty($ip_address))
		{
			FTP::push_mymix_preference($ip_address, $mac);
		}
		break;
	default:
		die("Unknown reset type! (" . $reset_type . ")");
		break;
}
Url::redirect("mymix-detail.php?mac=" . urlencode($mac));

/* End of reset.php */
