<?php
	require_once("models/avahi.php");
	require_once("models/login.php");
	require_once("helpers/config.php");
	require_once("models/project_file.php");

	Login::require_login();

	$project = new Project_File(Config::get_item('active_project_dir') . "project.xml");

	$known_devices = array();
	exec("ls " . Config::get_item('mymix_devices_dir'), $known_devices);
	$devices = Avahi::get_devices("mymix");
	foreach($devices as &$this_device)
	{
		$this_device['status'] = "online";
	}
	foreach($known_devices as $known_device)
	{
		$found_it = FALSE;
		foreach($devices as $online_device)
		{
			if($known_device == $online_device['mac'])
			{
				$found_it = TRUE;
				break;
			}
		}
		if(!$found_it)
		{
			$devices[] = array(
				'mac' => $known_device,
				'name' => "",
				'status' => "offline"
			);
		}
	}
	foreach($devices as &$this_device)
	{
		$this_device['label'] = $project->get_label_for_mac($this_device['mac']);
	}

	// Data for header
	$title = "Select MyMix device";
    $ID = "mymix";

	require("views/header.php");
	require("views/mymix-table.php");
	require("views/footer.php");

/* End of view-mymix.php */
